Get product availability
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/availability \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/availability")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/availability")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBest Buy endpoints
Get product availability
Get product availability.
GET
/
v1
/
bestbuy
/
products
/
{sku}
/
availability
Get product availability
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/availability \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/availability"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/availability")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/availability")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet product availability.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Best Buy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Sku.
string
required
Zip code.
string
default:"7"
Store id.
Response
{
"sku": "6668412",
"zip_code": "55423",
"store_id": "7",
"fulfillment": {
"__typename": "FulfillmentOptionsList",
"buttonStates": [
{
"__typename": "ButtonState",
"buttonState": "ADD_TO_CART",
"condition": "NEW",
"displayText": "Add to Cart",
"fulfillmentOption": null,
"hyperlinkUrl": null,
"planButtonState": null,
"planDisplayText": null,
"secondaryButtonState": null,
"secondaryDisplayText": null,
"skuId": "6668412"
}
],
"deliveryDetails": [
{
"__typename": "FulfillmentDeliveryDetail",
"deliveryAvailability": [
{
"__typename": "FulfillmentDeliveryAvailability",
"condition": "NEW",
"backordered": null,
"deliverable": null,
"deliveryEligible": null,
"deliveryServices": null,
"deliverySlots": null,
"forceSkipScheduling": null,
"forceSkipSchedulingReasonCode": null,
"homeDeliveryDisplayDateType": null,
"inStoreOnly": null,
"installationEligible": null,
"installationSlots": null,
"productAppointmentType": null,
"installationAppointmentType": null,
"dropoffAppointmentType": null,
"salLocationId": null,
"restrictions": null
}
],
"destinationZipCode": null,
"sku": "6668412"
}
],
"ispuDetails": [
{
"__typename": "InStorePickupDetail",
"installationEligible": null,
"ispuAvailability": [
{
"__typename": "InStorePickupAvailability",
"whenAvailableFlag": null,
"restrictions": null,
"quantity": "9999",
"promiseByStreetDate": null,
"preorderable": null,
"pickupEligible": true,
"minPickupInHours": "1",
"minDate": "2026-10-16",
"maxDate": "2026-10-16",
"instoreInventoryAvailable": true,
"inStoreServices": null,
"inStoreOnly": false,
"fulfillmentType": "PICKUP",
"fulfillDate": null,
"emailEligible": null,
"downloadEligible": null,
"displayDateType": "IN_HAND",
"condition": "NEW",
"backordered": null
}
],
"maximumDistanceChecked": null,
"nearbyLocation": null,
"numberOfStoresChecked": null,
"sku": "6668412",
"nearbyLocations": null,
"store": {
"__typename": "FulfillmentPickUpStore",
"city": "Roseville",
"name": "Roseville",
"storeId": "7",
"zip": "55113"
}
}
],
"shippingDetails": [
{
"__typename": "FulfillmentShippingDetail",
"destinationZipCode": "55423",
"sku": "6668412",
"abTestMetadata": null,
"shippingAvailability": [
{
"__typename": "FulfillmentShippingAvailability",
"backordered": null,
"condition": "NEW",
"customerLOSGroup": [
{}
],
"defaultCustomerLosGroupId": 1,
"directToBoxEligible": false,
"downloadEligible": false,
"emailEligible": false,
"fulfillByVendor": false,
"inStoreOnly": false,
"installationEligible": false,
"levelOfServices": [
{}
],
"preorderable": null,
"promiseByStreetDate": null,
"restrictions": null,
"shippingEligible": true,
"whenAvailableFlag": null
}
]
}
]
}
}
Example
curl --get 'https://scrapebadger.com/v1/bestbuy/products/6668412/availability' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'zip_code=55423' \
--data-urlencode 'store_id=7'

